Gutenberg support in our themes

Gutenberg, or the Block editor, is a new editing experience which was introduced in WordPress 5.0. The main goal of the editor is focused on modernizing WordPress by allowing you to create a page content by choosing and arranging a series of “blocks”.

All of our premium themes support a new editor. So, there is no need to fear the Gutenberg update. Your site should be fine with our themes! Just make sure your plugins support this new editor. You can either contact an author of the plugin or visit the plugin’s site to see if it supports the Block editor.

Our free themes should also work fine with the Block editor. We have not added theme-specific styles yet, meaning the editor may not accurately reflect how the post or page will look to users but, in general, it should not break your site. Again, you need to verify if your plugins support a new editor.

Moreover, it’s possible to use the Classic editor which can be added to your site via the plugin. Once the plugin is installed in your site, there is an option in the plugin’s settings to disable the Block editor and use the Classic editor instead.

If you have found an issue in our theme related to the Block editor, please contact us, and we will fix it in the next theme release.

Posted in Development

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.